/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __maya_JointSeparateOp_h__
#define __maya_JointSeparateOp_h__

namespace fe
{

/**************************************************************************//**
	@brief Separate a multi-joint surface into multiple native joint

	@ingroup maya
*//***************************************************************************/
class FE_DL_EXPORT JointSeparateOp:
	public OperatorSurfaceCommon,
	public Initialize<JointSeparateOp>
{
	public:

					JointSeparateOp(void)									{}
virtual				~JointSeparateOp(void)									{}

		void		initialize(void);

					//* As HandlerI
virtual	void		handle(Record& a_rSignal);

	private:
};

} /* namespace */

#endif /* __maya_JointSeparateOp_h__ */
